Bug 1281538 - (umlgraph) Review Request: umlgraph - Automated Drawing of UML Diagrams
Review Request: umlgraph - Automated Drawing of UML Diagrams
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
http://www.umlgraph.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 12:11 EST by Raphael Groner
Modified: 2015-12-16 08:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 15:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)
umlgraph spec after cleanup (3.72 KB, text/x-matlab)
2015-11-13 12:58 EST, gil cattaneo
no flags Details

  None (edit)
Description Raphael Groner 2015-11-12 12:11:49 EST
Spec URL: https://raphgro.fedorapeople.org/review/java/umlgraph/umlgraph.spec
SRPM URL: https://raphgro.fedorapeople.org/review/java/umlgraph/umlgraph-5.7.2-10.fc23.src.rpm
Description: Automated Drawing of UML Diagrams
Fedora Account System Username: raphgro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11805920

The package is retired since Fedora 23 and should get back to live. I plan to build officially new packages for rawhide/f24 and maybe epel7, though javadoc generation fails with Java 7.
Comment 1 gil cattaneo 2015-11-13 08:52:45 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1240122 ?
Comment 2 gil cattaneo 2015-11-13 09:14:20 EST
Please, consider to use this way for install:

%mvn_file org.%{name}:%{name} %{name}
%mvn_artifact pom.xml %{name}.jar
%mvn_install -J javadoc

and remove:
Requires: java-headless

Requires:       javapackages-tools

Requirements list is generated by our java tools
Comment 3 gil cattaneo 2015-11-13 09:39:57 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
 Please, consider this option
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/umlgraph
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
 IGNORE 


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 260 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/1281538-umlgraph/licensecheck.txt

These java source files are without license headers. Please, ask to upstream to add license headers
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/ContextView.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/InterfaceMatcher.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/PackageMatcher.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/PackageView.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/RelationDirection.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/RelationPattern.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/RelationType.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/SubclassMatcher.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/UmlGraphDoc.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/UMLOptions.java

This file should be regenerate
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/Version.java
see buld.xml @ line 52

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
   Please, remove %%doc macro in javadoc sub package
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: POM files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are
     correct or update to latest guidelines
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     umlgraph-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: umlgraph-5.7.2-10.fc24.noarch.rpm
          umlgraph-javadoc-5.7.2-10.fc24.noarch.rpm
          umlgraph-5.7.2-10.fc24.src.rpm
umlgraph.noarch: W: invalid-url URL: http://umlgraph.org/ <urlopen error timed out>
umlgraph-javadoc.noarch: W: invalid-url URL: http://umlgraph.org/ <urlopen error timed out>
umlgraph.src: W: invalid-url URL: http://umlgraph.org/ <urlopen error timed out>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
umlgraph-javadoc.noarch: W: invalid-url URL: http://umlgraph.org/ <urlopen error timed out>
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
umlgraph (rpmlib, GLIBC filtered):
    graphviz
    java-headless
    jpackage-utils

umlgraph-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools
    jpackage-utils



Provides
--------
umlgraph:
    mvn(org.umlgraph:umlgraph)
    mvn(org.umlgraph:umlgraph:pom:)
    umlgraph

umlgraph-javadoc:
    umlgraph-javadoc



Source checksums
----------------
https://github.com/dspinellis/umlgraph/archive/R5_7_2.tar.gz#/umlgraph-5.7.2.tar.gz :
  CHECKSUM(SHA256) this package     : b4b0c6236c792d9d4d75265c19f3021a7224d388c8995d06cf60785c8eebf22f
  CHECKSUM(SHA256) upstream package : b4b0c6236c792d9d4d75265c19f3021a7224d388c8995d06cf60785c8eebf22f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1281538 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2015-11-13 09:43:29 EST
Issues:

[!]: Packages should try to preserve timestamps of original installed
     files.

NON blocking issues:

- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
 Please, consider this option

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 260 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/1281538-umlgraph/licensecheck.txt

These java source files are without license headers. Please, ask to upstream to add license headers
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/ContextView.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/InterfaceMatcher.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/PackageMatcher.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/PackageView.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/RelationDirection.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/RelationPattern.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/RelationType.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/SubclassMatcher.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/UmlGraphDoc.java
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/UMLOptions.java

This file should be regenerate
UMLGraph-R5_7_2/src/main/java/org/umlgraph/doclet/Version.java
see buld.xml @ line 52

[?]: Requires correct, justified where necessary.

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
   Please, remove %%doc macro in javadoc sub package

[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
Comment 5 gil cattaneo 2015-11-13 09:45:22 EST
Other issues:
Please, remove:
UMLGraph-R5_7_2/legacy/UMLGraph-2.10.tar.gz
UMLGraph-R5_7_2/legacy/UMLGraph-2.10.zip
UMLGraph-R5_7_2/legacy/UMLGraph-4.8.tar.gz
UMLGraph-R5_7_2/legacy/UMLGraph-4.8.zip
Comment 6 gil cattaneo 2015-11-13 12:58 EST
Created attachment 1093773 [details]
umlgraph spec after cleanup

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11822433

- ant used directly
- used new style packaging
Comment 7 Raphael Groner 2015-11-17 16:03:10 EST
Spec URL: https://raphgro.fedorapeople.org/review/java/umlgraph/umlgraph.spec
SRPM URL: https://raphgro.fedorapeople.org/review/java/umlgraph/umlgraph-5.7.2-11.fc23.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11887511

The BSD license applies generally here as it was before with the existent package and that license does not require to include some text in individual source files, I am not convinced to request upstream for any clarification.
Comment 8 gil cattaneo 2015-11-17 17:07:29 EST
Seem all ok. Approved
Comment 9 Raphael Groner 2015-11-18 16:10:32 EST
Requested unretire of umlgraph.
https://fedorahosted.org/rel-eng/ticket/6299
Comment 10 Fedora Update System 2015-11-25 06:44:54 EST
umlgraph-5.7.2-12.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-298850a7cc
Comment 11 Fedora Update System 2015-11-25 19:53:04 EST
umlgraph-5.7.2-12.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update umlgraph'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-71410066fe
Comment 12 Fedora Update System 2015-11-25 21:53:58 EST
umlgraph-5.7.2-12.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update umlgraph'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-298850a7cc
Comment 13 Fedora Update System 2015-12-03 15:20:54 EST
umlgraph-5.7.2-12.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-16 08:23:15 EST
umlgraph-5.7.2-12.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.